package com.hfkj.service;

import com.alibaba.fastjson.JSONObject;
import com.hfkj.entity.BsCity;

import java.util.List;

public interface CommonService {

    /**
     * @Author Sum1Dream
     * @name getCityList.java
     * @Description // 查询所有城市
     * @Date 10:06 2022/7/4
     * @Param [cityName]
     * @return
     */
    List<BsCity> getCityList(Long parentId);


    /**
     * @Author Sum1Dream
     * @Name getRegional
     * @Description // 获取区域信息
     * @Date 16:56 2023/4/13
     * @Param []
     * @Return com.alibaba.fastjson.JSONObject
     */
    List<JSONObject> getCity(String code , String name , String child);


}
